Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.logparse
Class BaseLogParser

    java.lang.Object
      org.hyperic.hq.product.logparse.BaseLogParser

All Implemented Interfaces:
  LogParseInterface

Direct Known Subclasses:
  LogParse, SimpleLogParser

    public abstract class BaseLogParser

extends Object
implements LogParseInterface

Field Summary
`protected Integer` | `id`
`protected org.apache.commons.logging.Log` | `log`
`protected ArrayList` | `StatusDontLog`
`protected int` | `svcType`
`protected double` | `timeMultiplier`
`protected ArrayList` | `URLDontLog`

Constructor Summary
`BaseLogParser()`

Method Summary
`void` | `DontLog(Long stat)`
`void` | `DontLog(String url)`
`double` | `getTimeMultiplier()`
`abstract void` | `initConfig(double timeMultiplier, String regex)`
`Hashtable` | `parseLog(File f, String re, long len, Integer ID, int svcType, long[] parsedlen, boolean collectIPs)`
`Hashtable` | `parseLog(String fname, String re, Integer ID, boolean collectIPs)`
`Hashtable` | `parseLog(String fname, String re, Integer ID, int svcType, boolean collectIPs)`
`Hashtable` | `parseLog(String fname, String re, long len, Integer ID, boolean collectIPs)`
`Hashtable` | `parseLog(String fname, String re, long len, Integer ID, int svcType, long[] parsedlen, boolean collectIPs)`
`void` | `postFileParse(File f)`
`void` | `setTimeMultiplier(double mult)`
`void` | `urlDontLog(ArrayList urls)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.product.logparse.LogParseInterface
`parseLine`

Field Detail

### StatusDontLog

    protected ArrayList StatusDontLog

### URLDontLog

    protected ArrayList URLDontLog

### timeMultiplier

    protected double timeMultiplier

### log

    protected org.apache.commons.logging.Log log

### id

    protected Integer id

### svcType

    protected int svcType

Constructor Detail

### BaseLogParser

    public BaseLogParser()

Method Detail

### initConfig

    public abstract void initConfig(double timeMultiplier,
                                    String regex)

  Specified by:
    `initConfig` in interface `LogParseInterface`

### parseLog

    public Hashtable parseLog(String fname,
                              String re,
                              Integer ID,
                              boolean collectIPs)
                       throws IOException

  Specified by:
    `parseLog` in interface `LogParseInterface`
  Throws:
    `IOException`

### parseLog

    public Hashtable parseLog(String fname,
                              String re,
                              Integer ID,
                              int svcType,
                              boolean collectIPs)
                       throws IOException

  Specified by:
    `parseLog` in interface `LogParseInterface`
  Throws:
    `IOException`

### parseLog

    public Hashtable parseLog(String fname,
                              String re,
                              long len,
                              Integer ID,
                              boolean collectIPs)
                       throws IOException

  Specified by:
    `parseLog` in interface `LogParseInterface`
  Throws:
    `IOException`

### parseLog

    public Hashtable parseLog(String fname,
                              String re,
                              long len,
                              Integer ID,
                              int svcType,
                              long[] parsedlen,
                              boolean collectIPs)
                       throws IOException

  Specified by:
    `parseLog` in interface `LogParseInterface`
  Throws:
    `IOException`

### parseLog

    public Hashtable parseLog(File f,
                              String re,
                              long len,
                              Integer ID,
                              int svcType,
                              long[] parsedlen,
                              boolean collectIPs)
                       throws IOException

  Specified by:
    `parseLog` in interface `LogParseInterface`
  Returns:
    If collecting IPs, this is a Hashtable of "ip:url" -> RtStat summary objects. If not collecting IPs, then the keys are just the urls, without the "ip:"
  Throws:
    `IOException`

### setTimeMultiplier

    public void setTimeMultiplier(double mult)

  Specified by:
    `setTimeMultiplier` in interface `LogParseInterface`

### getTimeMultiplier

    public double getTimeMultiplier()

  Specified by:
    `getTimeMultiplier` in interface `LogParseInterface`

### DontLog

    public void DontLog(Long stat)

  Specified by:
    `DontLog` in interface `LogParseInterface`

### DontLog

    public void DontLog(String url)

  Specified by:
    `DontLog` in interface `LogParseInterface`

### urlDontLog

    public void urlDontLog(ArrayList urls)

  Specified by:
    `urlDontLog` in interface `LogParseInterface`

### postFileParse

    public void postFileParse(File f)
                       throws IOException

  Specified by:
    `postFileParse` in interface `LogParseInterface`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.